#include <bits/stdc++.h>
using namespace std;
char c1,c2;
int a1,a2;
int main(){
cin>>c1>>c2;
cin>>a1>>a2;
if(a1==a2){
    for(int i=1;i<=a1;i++)cout<<c1<<c2;cout<<endl;
}
else if(a1==a2+1){
    for(int i=1;i<=a2;i++)cout<<c1<<c2;
    cout<<c1;
    cout<<endl;
}
else if(a1==a2-1){
    for(int i=1;i<=a1;i++)cout<<c2<<c1;
    cout<<c2;
    cout<<endl;
}
else cout<<"nemoguce"<<endl;


return 0;
}